package com.virjar.g4proxy;

import android.content.Intent;
import android.os.Bundle;
import android.provider.Settings;
import android.support.annotation.NonNull;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;

import com.tencent.mm.R;
import com.virjar.g4proxy.service.SchedulerTaskService;
import com.virjar.g4proxy.utils.AccessAuthority;
import com.virjar.g4proxy.utils.DeviceInfoHolder;
import com.virjar.g4proxy.utils.DeviceMessageUtil;

import org.json.JSONObject;

import top.wuhaojie.installerlibrary.AutoInstaller;

public class MainActivity extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_main);

        TextView textView = findViewById(R.id.text);


        String clientKey = Settings.System.getString(getContentResolver(), Settings.Secure.ANDROID_ID);

        textView.setText("device: " + clientKey + "\n\n");

        //待上传的设备信息：devicesMsg
        JSONObject deviceMsg = DeviceMessageUtil.getDeviceMessage(this);

        textView.append(deviceMsg.toString());


        startService(new Intent(this, SchedulerTaskService.class));
        startService(new Intent(this, HttpProxyService.class));

        AutoInstaller.getDefault(this).autoConfigAccessibilitySetting(this);
    }

    @Override
    protected void onResume() {
        super.onResume();
        DeviceInfoHolder.initDeviceInfo(this);
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);

        //不给权限的话，循环申请
        DeviceInfoHolder.initDeviceInfo(this);
    }
}
